VAR 

// Status Register
  SREG, 

// Stack Pointer, Low 
  SPL, 

// General Interrupt Mask Register
  GIMSK,

// Timer Interrupt Mask Register 
  TIMSK, 

// Timer Interrupt Flag Register
  TIFR, 

// Store Program Memory Control and Status Register
  SPMCSR,

// MCU Control Register
  MCUCR,

// MCU Status Register
  MCUSR,


// General Timer/Counter Control Register
  GTCCR,

// General Purpose I/O Register 0
  GPIOR0,

// General Purpose I/O Register 1
  GPIOR1,

// General Purpose I/O Register 2
  GPIOR2,


// Timer/Counter0 Control Register A
  TCCR0A,

// Timer/Counter0 Control Register B
  TCCR0B,

// Timer/Counter0 Register
  TCNT0,


// Timer/Counter1 Control Register A
  TCCR1A,

// Timer/Counter1 Control Register B
  TCCR1B,

// Timer/Counter1 Control Register B
  TCCR1C,


// Timer/Counter1  Register
  TCNT1L, TCNT1H, 

// Output Compare Register 1 A
  OCR1AL, OCR1AH, 

// Output Compare Register 1 B
  OCR1BL, OCR1BH, 

// Oscillator Calibration Register
  OSCCAL,

// Output Compare Register 0 A   
  OCR0A, 

// Output Compare Register 0 B   
  OCR0B, 


// Watchdog Timer Control Register
  WDTCR,

// EEPROM Address Register
  EEAR,  

// EEPROM Data Register
  EEDR, 

// EEPROM Control Register
  EECR,


// Port A
  PORTA, DDRA, PINA, 

// Port B
  PORTB, DDRB, PINB,

// Port D
  PORTD, DDRD, PIND,


// Clock Prescale Register
  CLKPR,

// Pin Change Mask Register
  PCMSK,

// Digital Input Disable Register
  DIDR,
        
// External Interrupt Flag Register
  EIFR,

// Input Capture Register 1
  ICR1L, ICR1H,           


// USI Data Register
  USIDR,

// USI Status Register
  USISR,

// USI Control Register
  USICR,


// USART I/O Data Register
  UDR,

// USART Control and Status Register A
  UCSRA,

// USART Control and Status Register B
  UCSRB,

// USART Control and Status Register C
  UCSRC,

// USART Baud Rate Registers
  UBRRL, UBRRH 



  : ByteConReg; 



  RXC[UCSRA,7] : Bit;
  TXC[UCSRA,6] : Bit;
  UDRE[UCSRA,5] : Bit; 



// *** ISR-Liste ***
//
ISR_LISTE( 2,'INT0addr' ,'EI_INT0'      ,'External Interrupt Request 0');
ISR_LISTE( 3,'INT1addr' ,'EI_INT1'      ,'External Interrupt Request 1');
ISR_LISTE( 4,'ICP1addr' ,'TIMER1_CAPT'  ,'Timer/Counter1 Capture Event');
ISR_LISTE( 5,'OC1Aaddr' ,'TIMER1_COMPA' ,'Timer/Counter1 Compare Match A');
ISR_LISTE( 6,'OVF1addr' ,'TIMER1_OVF'   ,'Timer/Counter1 Overflow');
ISR_LISTE( 7,'OVF0addr' ,'TIMER0_OVF'   ,'Timer/Counter0 Overflow');
ISR_LISTE( 8,'URXCaddr' ,'USART0_RX'    ,'USART0, Rx Complete');
ISR_LISTE( 9,'UDREaddr' ,'USART0_UDRE'  ,'USART0 Data Register Empty');
ISR_LISTE(10,'UTXCaddr' ,'USART0_TX'    ,'USART0, Tx Complete');
ISR_LISTE(11,'ACIaddr'  ,'ANA_COMP'     ,'Analog Comparator');
ISR_LISTE(12,'PCIaddr'  ,'PC_INT'       ,'Pin Change Interrupt');
ISR_LISTE(13,'OC1Baddr' ,'TIMER1_COMPB' ,'Timer/Counter1 Compare Match B');
ISR_LISTE(14,'OC0Aaddr' ,'TIMER0_COMPA' ,'Timer/Counter0 Compare Match A');
ISR_LISTE(15,'OC0Baddr' ,'TIMER0_COMPB' ,'Timer/Counter0 Compare Match B');
ISR_LISTE(16,'USISaddr'  ,'USI_START'   ,'USI Start Condition');
ISR_LISTE(17,'USIOaddr'  ,'USI_OVF'     ,'USI Overflow');
ISR_LISTE(18,'ERDYaddr' ,'EE_RDY'       ,'EEPROM Ready');
ISR_LISTE(19,'WDTOaddr' ,'WDT_OVF'      ,'Watchdog Timer Overflow');



